Bug 804969 - SELinux is preventing /usr/bin/python from 'read' accesses on the file /etc/passwd.
SELinux is preventing /usr/bin/python from 'read' accesses on the file /etc/p...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-20 06:48 EDT by Hicham HAOUARI
Modified: 2012-04-11 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-106.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-11 22:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2012-03-20 06:48:49 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         SELinux is preventing /usr/bin/python from 'read' accesses on the file /etc/passwd.
time:           Tue Mar 20 11:48:19 2012

:SELinux is preventing /usr/bin/python from 'read' accesses on the file /etc/passwd.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that python should be allowed read access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep hpfax /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                system_u:system_r:hplip_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        hpfax
:Source Path                   /usr/bin/python
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.2-18.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc7.git0.3.fc17.x86_64 #1 SMP Mon Mar 12
:                              18:40:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue Mar 20 11:47:55 2012
:Last Seen                     Tue Mar 20 11:47:55 2012
:Local ID                      f809f92d-bfcb-4812-addb-5be2fa7cf2ab
:Raw Audit Messages
:type=AVC msg=audit(1332240475.480:160): avc:  denied  { read } for  pid=4294 comm="hpfax" name="passwd" dev="sda2" ino=2889582 scontext=system_u:system_r:hplip_t:s0-s0:c0.c1023 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:type=SYSCALL msg=audit(1332240475.480:160): arch=x86_64 syscall=open success=no exit=EACCES a0=7fc515c9d6ca a1=80000 a2=1b6 a3=238 items=0 ppid=4285 pid=4294 auid=4294967295 uid=0 gid=7 euid=0 suid=0 fsuid=0 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm=hpfax exe=/usr/bin/python subj=system_u:system_r:hplip_t:s0-s0:c0.c1023 key=(null)
:Hash: hpfax,hplip_t,passwd_file_t,file,read
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-03-20 07:09:46 EDT
Any idea why hpfax needs to read /etc/passwd?
Comment 2 Daniel Walsh 2012-03-20 20:52:11 EDT
Or better yet, did the print job work ok.

We probably should just allow this, since we are really trying to block confined containers from reading the file.
Comment 3 Fedora Update System 2012-03-22 15:27:41 EDT
selinux-policy-3.10.0-106.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-03-25 17:29:41 EDT
Package selinux-policy-3.10.0-106.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-106.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-11 22:38:23 EDT
selinux-policy-3.10.0-106.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.